/***************************************************************************
                          confdialog.h  -  description
                             -------------------
    begin                : thu feb 20 2003
    copyright            : (C) 2003 by Ren-Pierre Lehmann
    email                : ripi@lepi.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CONFDIALOG_H
#define CONFDIALOG_H

#include <qframe.h>
#include <qcheckbox.h>
#include <qcombobox.h>
#include <qlabel.h>
#include <qspinbox.h>

#include <kdialogbase.h>


class ConfDialog : public KDialogBase  {
    Q_OBJECT

public:
    ConfDialog( QWidget *parent );
    ~ConfDialog();

    bool verboseMode() const;
    int loopTime() const;
    int leftButtonAction() const;
    int rightButtonAction() const;
    int midButtonAction() const;
    
    void setVerboseMode(bool);
    void setLoopTime(int);
    void setLeftButtonAction(int);
    void setRightButtonAction(int);    
    void setMidButtonAction(int);

private:
    QFrame *page;

    QCheckBox *verboseChk;
    QSpinBox *loopTimeBox;
    QComboBox *rightAction;
    QComboBox *leftAction;
    QComboBox *midAction;
};

#endif
