/***************************************************************************
                          kickarts.h  -  description
                             -------------------
    begin                : wed feb 19 2003
    copyright            : (C) 2003 by Ren-Pierre Lehmann
    email                : ripi@lepi.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef _KICKARTS_H_
#define _KICKARTS_H_

#include <qpixmap.h>

#include <kpanelapplet.h>
#include <kapp.h>
#include <kprocess.h>
#include <kpopupmenu.h>

#include <soundserver.h>

class ConfDialog;

class kickarts : public KPanelApplet
{
  Q_OBJECT

public:
    kickarts(const QString& configFile, Type t = Normal, int actions = 0,
                QWidget *parent = 0, const char *name = 0);
    ~kickarts();

    int widthForHeight(int h) const;
    int heightForWidth(int w) const;
    virtual void adjustSize();
    
public slots:
    void about();
    void start();
    void suspend();
    void terminate();
    void restart();
    void statusView();
    void configArts();
    void configKickarts();
    void readConfig();
    void writeConfig();
    void applyConfig();
    void finishedConfig();
    void help();
    void contextMenu();
    void setToolTip(const QString &text);
    void exitConfigArts();

protected:
    void paintEvent(QPaintEvent *);
    void mousePressEvent(QMouseEvent *);
    QTimer *artsStatusTimer;

private:
    void init_pm();

    int status();
    void start_arts();

    KProcess *configArts_process;

    Arts::Dispatcher dispatcher;
    Arts::SoundServerV2 server;

    QPixmap pm, suspendedPixmap, stoppedPixmap, runningPixmap;

    ConfDialog *mConfigDlg;
    bool bVerbose;
    int loopTime;
    int leftButtonAction, rightButtonAction, midButtonAction;

};

#endif
